Subject: Re: bug#44320: [PATH] [27.1] Make sure send-string-to-terminal send all contents

From: Eli Zaretskii <[email-masked]>
Date: Thu, 05 Nov 2020 17:59:26 +0200

> From: Andreas Schwab <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>   [email-masked]
> Date: Mon, 02 Nov 2020 21:26:18 +0100
> 
> On Nov 02 2020, Eli Zaretskii wrote:
> 
> > Too many subtle assumptions for my palate.  In general, stdio is not
> > safe in the presence of signals.
> 
> That is true, at least if the stream is conntected to a blocking device
> (file I/O is not affected by signals).

So you are saying only console and PTY I/O needs this special
handling, and file I/O doesn't?

> > Would it be better to suspend SIGIO by calling unrequest_sigio instead
> > (and resume it once 'fwrite' returns)?
> 
> It might be even better to use POSIX I/O.

Maybe so, but that sounds like a too large change for such a rare and
subtle use case.